Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
Interface Logger

    interface Logger

An extension to the SLF4J `Logger` interface, which adds the `quiet` and `lifecycle` log levels.

You can obtain a `Logger` instance using Logging#getLogger(Class) or Logging#getLogger(String). A `Logger` instance is also available through org.gradle.api.Project#getLogger() and org.gradle.api.Task#getLogger().

Method Summary
`boolean` | `isEnabled(LogLevel level)` Returns true if the given log level is enabled for this logger.
`boolean` | `isLifecycleEnabled()` Returns true if lifecycle log level is enabled for this logger.
`boolean` | `isProgressEnabled()` Returns true if progress log level is enabled for this logger.
`boolean` | `isQuietEnabled()` Returns true if quiet log level is enabled for this logger.
`void` | `lifecycle(java.lang.String message)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Object objects)` Logs the given message at lifecycle log level.
`void` | `lifecycle(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at lifecycle log level.
`void` | `log(LogLevel level, java.lang.String message)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Object objects)` Logs the given message at the given log level.
`void` | `log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)` Logs the given message at the given log level.
`void` | `progress(java.lang.String message)` Logs the given message at progress log level.
`void` | `progress(java.lang.String message, java.lang.Object objects)` Logs the given message at progress log level.
`void` | `progress(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at progress log level.
`void` | `quiet(java.lang.String message)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Object objects)` Logs the given message at quiet log level.
`void` | `quiet(java.lang.String message, java.lang.Throwable throwable)` Logs the given message at quiet log level.

Method Detail

### isEnabled

    public boolean isEnabled(LogLevel level)

  Returns true if the given log level is enabled for this logger.

### isLifecycleEnabled

    public boolean isLifecycleEnabled()

  Returns true if lifecycle log level is enabled for this logger.

### isProgressEnabled

    public boolean isProgressEnabled()

  Returns true if progress log level is enabled for this logger.

### isQuietEnabled

    public boolean isQuietEnabled()

  Returns true if quiet log level is enabled for this logger.

### lifecycle

    public void lifecycle(java.lang.String message)

  Logs the given message at lifecycle log level.
  param:
    message the log message.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Object objects)

  Logs the given message at lifecycle log level.
  param:
    message the log message.
  param:
    objects the log message parameters.

### lifecycle

    public void lifecycle(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at lifecycle log level.
  param:
    message the log message.
  param:
    throwable the exception to log.

### log

    public void log(LogLevel level, java.lang.String message)

  Logs the given message at the given log level.
  param:
    level the log level.
  param:
    message the log message.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Object objects)

  Logs the given message at the given log level.
  param:
    level the log level.
  param:
    message the log message.
  param:
    objects the log message parameters.

### log

    public void log(LogLevel level, java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at the given log level.
  param:
    level the log level.
  param:
    message the log message.
  param:
    throwable the exception to log.

### progress

    public void progress(java.lang.String message)

  Logs the given message at progress log level.
  param:
    message the log message.

### progress

    public void progress(java.lang.String message, java.lang.Object objects)

  Logs the given message at progress log level.
  param:
    message the log message.
  param:
    objects the log message parameters.

### progress

    public void progress(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at progress log level.
  param:
    message the log message.
  param:
    throwable the exception to log.

### quiet

    public void quiet(java.lang.String message)

  Logs the given message at quiet log level.
  param:
    message the log message.

### quiet

    public void quiet(java.lang.String message, java.lang.Object objects)

  Logs the given message at quiet log level.
  param:
    message the log message.
  param:
    objects the log message parameters.

### quiet

    public void quiet(java.lang.String message, java.lang.Throwable throwable)

  Logs the given message at quiet log level.
  param:
    message the log message.
  param:
    throwable the exception to log.

Groovy Documentation